# labs.datasets.transforms.affine_transform

## Module: `labs.datasets.transforms.affine_transform`

Inheritance diagram for `nipy.labs.datasets.transforms.affine_transform`:

The AffineTransform class

## `AffineTransform`

class nipy.labs.datasets.transforms.affine_transform.AffineTransform(input_space, output_space, affine)

  Bases: `Transform`

  A transformation from an input 3D space to an output 3D space defined by an affine matrix.

  It is defined by the affine matrix , and the name of the input and output spaces.

  __init__(input_space, output_space, affine)

    Create a new affine transform object.

    Parameters:
      input_space: string

        Name of the input space

      output_space: string

        Name of the output space

      affine: 4x4 ndarray

        Affine matrix giving the coordinate mapping between the input and output space.

  affine = None
  composed_with(transform)

    Returns a new transform obtained by composing this transform with the one provided.

    Parameters:
      transform: nipy.core.transforms.transform object

        The transform to compose with.

  get_inverse()

    Return the inverse transform.

  input_space = ''
  inverse_mapping(x, y, z)

    Transform the given coordinate from output space to input space.

    Parameters:
      x: number or ndarray

        The x coordinates

      y: number or ndarray

        The y coordinates

      z: number or ndarray

        The z coordinates

  mapping(x, y, z)

    Transform the given coordinate from input space to output space.

    Parameters:
      x: number or ndarray

        The x coordinates

      y: number or ndarray

        The y coordinates

      z: number or ndarray

        The z coordinates

  output_space = ''